InitialStateFactory (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.traversal

## Interface InitialStateFactory<STATE>

- Type Parameters:
    `STATE` - type of initial state to produce.
  All Known Subinterfaces:
    InitialBranchState<STATE>
  All Known Implementing Classes:
    InitialBranchState.Adapter, InitialBranchState.State, InitialStateFactory.AsInitialBranchState

  Deprecated.
  use `InitialBranchState` instead, which has got `InitialBranchState.reverse()` as well.

      public interface InitialStateFactory<STATE>

  Factory for initial state of `TraversalBranch`es in a traversal.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InitialStateFactory.AsInitialBranchState<STATE>` Deprecated. Wraps an `InitialStateFactory` in a `InitialBranchState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InitialStateFactory` | `NO_STATE` Deprecated. An `InitialStateFactory` which returns `null` as state.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `STATE` | `initialState(Path path)` Deprecated. Returns an initial state for a `Path`.

- - ### Field Detail

    - #### NO_STATE

          static final InitialStateFactory NO_STATE

      Deprecated.
      An `InitialStateFactory` which returns `null` as state.

  - ### Method Detail

    - #### initialState

          STATE initialState(Path path)

      Deprecated.
      Returns an initial state for a `Path`. All paths entering this method are start paths(es) of a traversal. State is passed down along traversal branches as the traversal progresses and can be changed at any point by a `PathExpander` to becomes the new state from that point in that branch and downwards.
      Parameters:
        `path` - the start branch to return the initial state for.
      Returns:
        an initial state for the traversal branch.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.